Changeset 1692


Ignore:
Timestamp:
Mar 5, 2011 1:05:01 PM (8 years ago)
Author:
stefan
Message:

recognize ThirdParty/Mumps?; build ClpCholeskyMumps? only if Mumps available; fixes for recognizing if Ufl is present

Location:
trunk/Clp
Files:
15 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/Makefile.in

    r1691 r1692  
    165165COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    166166COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     167COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
     168COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
    167169COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    168170COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     
    225227MPICC = @MPICC@
    226228MPICXX = @MPICXX@
     229MUMPS_CFLAGS = @MUMPS_CFLAGS@
     230MUMPS_CFLAGS_INSTALLED = @MUMPS_CFLAGS_INSTALLED@
     231MUMPS_DATA = @MUMPS_DATA@
     232MUMPS_DATA_INSTALLED = @MUMPS_DATA_INSTALLED@
     233MUMPS_DEPENDENCIES = @MUMPS_DEPENDENCIES@
     234MUMPS_LIBS = @MUMPS_LIBS@
     235MUMPS_LIBS_INSTALLED = @MUMPS_LIBS_INSTALLED@
    227236NETLIB_CFLAGS = @NETLIB_CFLAGS@
    228237NETLIB_CFLAGS_INSTALLED = @NETLIB_CFLAGS_INSTALLED@
  • trunk/Clp/configure

    r1691 r1692  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11461146  --with-glpk-incdir directory with header files for using package Glpk
    11471147  --with-glpk-datadir directory with data files for using package Glpk
     1148  --with-mumps-lib linker flags for using package Mumps
     1149  --with-mumps-incdir directory with header files for using package Mumps
     1150  --with-mumps-datadir directory with data files for using package Mumps
    11481151  --with-wsmp             specify WSMP library
    11491152  --with-dot              use dot (from graphviz) when creating documentation
     
    59495952*-*-irix6*)
    59505953  # Find out which ABI we are using.
    5951   echo '#line 5951 "configure"' > conftest.$ac_ext
     5954  echo '#line 5954 "configure"' > conftest.$ac_ext
    59525955  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59535956  (eval $ac_compile) 2>&5
     
    70837086
    70847087# Provide some information about the compiler.
    7085 echo "$as_me:7085:" \
     7088echo "$as_me:7088:" \
    70867089     "checking for Fortran 77 compiler version" >&5
    70877090ac_compiler=`set X $ac_compile; echo $2`
     
    81508153   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81518154   -e 's:$: $lt_compiler_flag:'`
    8152    (eval echo "\"\$as_me:8152: $lt_compile\"" >&5)
     8155   (eval echo "\"\$as_me:8155: $lt_compile\"" >&5)
    81538156   (eval "$lt_compile" 2>conftest.err)
    81548157   ac_status=$?
    81558158   cat conftest.err >&5
    8156    echo "$as_me:8156: \$? = $ac_status" >&5
     8159   echo "$as_me:8159: \$? = $ac_status" >&5
    81578160   if (exit $ac_status) && test -s "$ac_outfile"; then
    81588161     # The compiler can only warn and ignore the option if not recognized
     
    84188421   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84198422   -e 's:$: $lt_compiler_flag:'`
    8420    (eval echo "\"\$as_me:8420: $lt_compile\"" >&5)
     8423   (eval echo "\"\$as_me:8423: $lt_compile\"" >&5)
    84218424   (eval "$lt_compile" 2>conftest.err)
    84228425   ac_status=$?
    84238426   cat conftest.err >&5
    8424    echo "$as_me:8424: \$? = $ac_status" >&5
     8427   echo "$as_me:8427: \$? = $ac_status" >&5
    84258428   if (exit $ac_status) && test -s "$ac_outfile"; then
    84268429     # The compiler can only warn and ignore the option if not recognized
     
    85228525   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85238526   -e 's:$: $lt_compiler_flag:'`
    8524    (eval echo "\"\$as_me:8524: $lt_compile\"" >&5)
     8527   (eval echo "\"\$as_me:8527: $lt_compile\"" >&5)
    85258528   (eval "$lt_compile" 2>out/conftest.err)
    85268529   ac_status=$?
    85278530   cat out/conftest.err >&5
    8528    echo "$as_me:8528: \$? = $ac_status" >&5
     8531   echo "$as_me:8531: \$? = $ac_status" >&5
    85298532   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85308533   then
     
    1086710870  lt_status=$lt_dlunknown
    1086810871  cat > conftest.$ac_ext <<EOF
    10869 #line 10869 "configure"
     10872#line 10872 "configure"
    1087010873#include "confdefs.h"
    1087110874
     
    1096710970  lt_status=$lt_dlunknown
    1096810971  cat > conftest.$ac_ext <<EOF
    10969 #line 10969 "configure"
     10972#line 10972 "configure"
    1097010973#include "confdefs.h"
    1097110974
     
    1331113314   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1331213315   -e 's:$: $lt_compiler_flag:'`
    13313    (eval echo "\"\$as_me:13313: $lt_compile\"" >&5)
     13316   (eval echo "\"\$as_me:13316: $lt_compile\"" >&5)
    1331413317   (eval "$lt_compile" 2>conftest.err)
    1331513318   ac_status=$?
    1331613319   cat conftest.err >&5
    13317    echo "$as_me:13317: \$? = $ac_status" >&5
     13320   echo "$as_me:13320: \$? = $ac_status" >&5
    1331813321   if (exit $ac_status) && test -s "$ac_outfile"; then
    1331913322     # The compiler can only warn and ignore the option if not recognized
     
    1341513418   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1341613419   -e 's:$: $lt_compiler_flag:'`
    13417    (eval echo "\"\$as_me:13417: $lt_compile\"" >&5)
     13420   (eval echo "\"\$as_me:13420: $lt_compile\"" >&5)
    1341813421   (eval "$lt_compile" 2>out/conftest.err)
    1341913422   ac_status=$?
    1342013423   cat out/conftest.err >&5
    13421    echo "$as_me:13421: \$? = $ac_status" >&5
     13424   echo "$as_me:13424: \$? = $ac_status" >&5
    1342213425   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1342313426   then
     
    1498514988   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1498614989   -e 's:$: $lt_compiler_flag:'`
    14987    (eval echo "\"\$as_me:14987: $lt_compile\"" >&5)
     14990   (eval echo "\"\$as_me:14990: $lt_compile\"" >&5)
    1498814991   (eval "$lt_compile" 2>conftest.err)
    1498914992   ac_status=$?
    1499014993   cat conftest.err >&5
    14991    echo "$as_me:14991: \$? = $ac_status" >&5
     14994   echo "$as_me:14994: \$? = $ac_status" >&5
    1499214995   if (exit $ac_status) && test -s "$ac_outfile"; then
    1499314996     # The compiler can only warn and ignore the option if not recognized
     
    1508915092   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1509015093   -e 's:$: $lt_compiler_flag:'`
    15091    (eval echo "\"\$as_me:15091: $lt_compile\"" >&5)
     15094   (eval echo "\"\$as_me:15094: $lt_compile\"" >&5)
    1509215095   (eval "$lt_compile" 2>out/conftest.err)
    1509315096   ac_status=$?
    1509415097   cat out/conftest.err >&5
    15095    echo "$as_me:15095: \$? = $ac_status" >&5
     15098   echo "$as_me:15098: \$? = $ac_status" >&5
    1509615099   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1509715100   then
     
    1729617299   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1729717300   -e 's:$: $lt_compiler_flag:'`
    17298    (eval echo "\"\$as_me:17298: $lt_compile\"" >&5)
     17301   (eval echo "\"\$as_me:17301: $lt_compile\"" >&5)
    1729917302   (eval "$lt_compile" 2>conftest.err)
    1730017303   ac_status=$?
    1730117304   cat conftest.err >&5
    17302    echo "$as_me:17302: \$? = $ac_status" >&5
     17305   echo "$as_me:17305: \$? = $ac_status" >&5
    1730317306   if (exit $ac_status) && test -s "$ac_outfile"; then
    1730417307     # The compiler can only warn and ignore the option if not recognized
     
    1756417567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1756517568   -e 's:$: $lt_compiler_flag:'`
    17566    (eval echo "\"\$as_me:17566: $lt_compile\"" >&5)
     17569   (eval echo "\"\$as_me:17569: $lt_compile\"" >&5)
    1756717570   (eval "$lt_compile" 2>conftest.err)
    1756817571   ac_status=$?
    1756917572   cat conftest.err >&5
    17570    echo "$as_me:17570: \$? = $ac_status" >&5
     17573   echo "$as_me:17573: \$? = $ac_status" >&5
    1757117574   if (exit $ac_status) && test -s "$ac_outfile"; then
    1757217575     # The compiler can only warn and ignore the option if not recognized
     
    1766817671   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1766917672   -e 's:$: $lt_compiler_flag:'`
    17670    (eval echo "\"\$as_me:17670: $lt_compile\"" >&5)
     17673   (eval echo "\"\$as_me:17673: $lt_compile\"" >&5)
    1767117674   (eval "$lt_compile" 2>out/conftest.err)
    1767217675   ac_status=$?
    1767317676   cat out/conftest.err >&5
    17674    echo "$as_me:17674: \$? = $ac_status" >&5
     17677   echo "$as_me:17677: \$? = $ac_status" >&5
    1767517678   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1767617679   then
     
    2396023963
    2396123964  if test $coin_has_glpk = yes ; then
    23962     { echo "$as_me:$LINENO: \"Using AMD from GLPK package\"" >&5
    23963 echo "$as_me: \"Using AMD from GLPK package\"" >&6;}
     23965    { echo "$as_me:$LINENO: using AMD from GLPK package" >&5
     23966echo "$as_me: using AMD from GLPK package" >&6;}
    2396423967
    2396523968cat >>confdefs.h <<\_ACEOF
     
    2398123984
    2398223985fi
     23986
     23987# MUMPS
     23988
     23989echo "$as_me:$LINENO: checking for COIN-OR package Mumps" >&5
     23990echo $ECHO_N "checking for COIN-OR package Mumps... $ECHO_C" >&6
     23991
     23992coin_has_mumps=notGiven
     23993
     23994# check if user wants to skip package in any case
     23995if test x"$COIN_SKIP_PROJECTS" != x; then
     23996  for dir in $COIN_SKIP_PROJECTS; do
     23997    if test $dir = "Mumps"; then
     23998      coin_has_mumps=skipping
     23999    fi
     24000  done
     24001fi
     24002
     24003MUMPS_LIBS=
     24004MUMPS_CFLAGS=
     24005MUMPS_DATA=
     24006
     24007
     24008
     24009
     24010
     24011
     24012
     24013
     24014
     24015
     24016
     24017
     24018
     24019
     24020
     24021
     24022
     24023#check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
     24024if test $coin_has_mumps != skipping; then
     24025
     24026# Check whether --with-m4_tolower(Mumps)-lib or --without-m4_tolower(Mumps)-lib was given.
     24027if test "${with_mumps_lib+set}" = set; then
     24028  withval="$with_mumps_lib"
     24029  if test "$withval" = no ; then
     24030       coin_has_mumps=skipping
     24031     else
     24032       coin_has_mumps=yes
     24033       MUMPS_LIBS="$withval"
     24034
     24035         CLPLIB_PCLIBS="$withval $CLPLIB_PCLIBS"
     24036         CLPLIB_LIBS="$withval $CLPLIB_LIBS"
     24037
     24038       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     24039       if test -z "$PKG_CONFIG" ; then
     24040         MUMPS_LIBS_INSTALLED="$withval"
     24041         CLPLIB_LIBS_INSTALLED="$withval $CLPLIB_LIBS_INSTALLED"
     24042       fi
     24043     fi
     24044
     24045fi;
     24046fi
     24047
     24048if test $coin_has_mumps != skipping; then
     24049
     24050# Check whether --with-m4_tolower(Mumps)-incdir or --without-m4_tolower(Mumps)-incdir was given.
     24051if test "${with_mumps_incdir+set}" = set; then
     24052  withval="$with_mumps_incdir"
     24053  if test "$withval" = no ; then
     24054       coin_has_mumps=skipping
     24055     else
     24056       coin_has_mumps=yes
     24057       MUMPS_CFLAGS="-I`${CYGPATH_W} $withval`"
     24058       CLPLIB_CFLAGS="-I`${CYGPATH_W} $withval` $CLPLIB_CFLAGS"
     24059       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     24060       if test -z "$PKG_CONFIG" ; then
     24061         MUMPS_CFLAGS_INSTALLED="$MUMPS_CFLAGS"
     24062         CLPLIB_CFLAGS_INSTALLED="$MUMPS_CFLAGS $CLPLIB_CFLAGS_INSTALLED"
     24063       fi
     24064     fi
     24065
     24066fi;
     24067fi
     24068
     24069if test $coin_has_mumps != skipping; then
     24070
     24071# Check whether --with-m4_tolower(Mumps)-datadir or --without-m4_tolower(Mumps)-datadir was given.
     24072if test "${with_mumps_datadir+set}" = set; then
     24073  withval="$with_mumps_datadir"
     24074  if test "$withval" = no ; then
     24075       coin_has_mumps=skipping
     24076     else
     24077       coin_has_mumps=yes
     24078       MUMPS_DATA="$withval"
     24079       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     24080       if test -z "$PKG_CONFIG" ; then
     24081         MUMPS_DATA_INSTALLED="$withval"
     24082       fi
     24083     fi
     24084
     24085fi;
     24086fi
     24087
     24088if test $coin_has_mumps = notGiven; then
     24089  if test -n "$PKG_CONFIG" ; then
     24090    # set search path for pkg-config
     24091    # need to export variable to be sure that the following pkg-config gets these values
     24092    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     24093    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     24094    export PKG_CONFIG_PATH
     24095
     24096    # let pkg-config do it's magic
     24097
     24098
     24099
     24100if test -n "$PKG_CONFIG" ; then
     24101  if $PKG_CONFIG --exists "coinmumps"; then
     24102    MUMPS_VERSIONS="`$PKG_CONFIG --modversion "coinmumps" 2>/dev/null | tr '\n' ' '`"
     24103     cflags=`$PKG_CONFIG --cflags "coinmumps" 2>/dev/null`
     24104    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     24105        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     24106        # but only do this if is not trivial
     24107    if test "$CYGPATH_W" != "echo" ; then
     24108      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     24109      cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     24110    fi
     24111    MUMPS_CFLAGS="$cflags"
     24112    MUMPS_LIBS=`$PKG_CONFIG --libs "coinmumps" 2>/dev/null`
     24113    MUMPS_DATA=`$PKG_CONFIG --variable=datadir "coinmumps" 2>/dev/null`
     24114     coin_has_mumps=yes
     24115        echo "$as_me:$LINENO: result: yes: $MUMPS_VERSIONS" >&5
     24116echo "${ECHO_T}yes: $MUMPS_VERSIONS" >&6
     24117
     24118        # adjust linker flags for (i)cl compiler
     24119        # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
     24120        if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     24121        then
     24122          MUMPS_LIBS=`echo " $MUMPS_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     24123        fi
     24124
     24125        # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in ClpLib
     24126
     24127          CLPLIB_PCREQUIRES="coinmumps $CLPLIB_PCREQUIRES"
     24128          CLPLIB_CFLAGS="$MUMPS_CFLAGS $CLPLIB_CFLAGS"
     24129          CLPLIB_LIBS="$MUMPS_LIBS $CLPLIB_LIBS"
     24130
     24131
     24132
     24133  else
     24134    MUMPS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinmumps"`
     24135      coin_has_mumps=notGiven
     24136        echo "$as_me:$LINENO: result: not given: $MUMPS_PKG_ERRORS" >&5
     24137echo "${ECHO_T}not given: $MUMPS_PKG_ERRORS" >&6
     24138
     24139  fi
     24140else
     24141  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Mumps without pkg-config\"" >&5
     24142echo "$as_me: error: \"Cannot check for existance of module Mumps without pkg-config\"" >&2;}
     24143   { (exit 1); exit 1; }; }
     24144fi
     24145
     24146
     24147
     24148
     24149    # reset PKG_CONFIG_PATH variable
     24150    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     24151    export PKG_CONFIG_PATH
     24152
     24153  else
     24154    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     24155echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     24156
     24157echo "$as_me:$LINENO: checking for COIN-OR package Mumps (fallback)" >&5
     24158echo $ECHO_N "checking for COIN-OR package Mumps (fallback)... $ECHO_C" >&6
     24159
     24160coin_has_mumps=notGiven
     24161MUMPS_LIBS=
     24162MUMPS_LIBS_INSTALLED=
     24163MUMPS_CFLAGS=
     24164MUMPS_CFLAGS_INSTALLED=
     24165MUMPS_DATA=
     24166MUMPS_DATA_INSTALLED=
     24167
     24168# initial list of dependencies is "coinmumps", but we need to filter out version number specifications (= x, <= x, >= x)
     24169projtoprocess="coinmumps"
     24170
     24171# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     24172# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     24173# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
     24174# also, we setup the DATA variable
     24175allproj=""
     24176allpcfiles=""
     24177allpcifiles=""
     24178while test "x$projtoprocess" != x ; do
     24179
     24180  for proj in $projtoprocess ; do
     24181    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     24182    pcfile=""
     24183    save_IFS="$IFS"
     24184    IFS=":"
     24185    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     24186      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     24187      if test -r "$dir/${proj}-uninstalled.pc" ; then
     24188        pcfile="$dir/$proj-uninstalled.pc"
     24189        if test -r "$dir/${proj}.pc" ; then
     24190          pcifile="$dir/${proj}.pc"
     24191        else
     24192          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     24193echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     24194          pcifile=
     24195        fi
     24196        break
     24197      fi
     24198    done
     24199    IFS="$save_IFS"
     24200
     24201    if test "x$pcfile" != x ; then
     24202      # read dependencies from $pcfile and filter it
     24203      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     24204
     24205      # add projrequires to the front of the list of projects that have to be processed next
     24206      # at the same time, remove $proj from this list
     24207      projtoprocess=${projtoprocess/$proj/$projrequires}
     24208
     24209      # read DATA from $pcfile, if _DATA is still empty
     24210      if test "x$MUMPS_DATA" = x ; then
     24211        projdatadir=
     24212        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     24213        eval `sh -c "$pcfilemod"`
     24214        MUMPS_DATA="$projdatadir"
     24215      fi
     24216
     24217      allproj="$allproj $proj"
     24218      allpcfiles="$pcfile:$allpcfiles"
     24219
     24220    else
     24221      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     24222echo "${ECHO_T}no, dependency $proj not available" >&6
     24223      allproj=fail
     24224      break 2
     24225    fi
     24226
     24227    if test "x$pcifile" != x ; then
     24228      allpcifiles="$pcifile:$allpcifiles"
     24229
     24230      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     24231      if test "x$MUMPS_DATA_INSTALLED" = x ; then
     24232        projdatadir=
     24233        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     24234        eval `sh -c "$pcifilemod"`
     24235        if test "${CYGPATH_W}" != "echo"; then
     24236          projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
     24237        fi
     24238        MUMPS_DATA_INSTALLED="$projdatadir"
     24239      fi
     24240
     24241    fi
     24242
     24243    break
     24244  done
     24245
     24246  # remove spaces on begin of $projtoprocess
     24247  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     24248
     24249done
     24250
     24251if test "$allproj" != fail ; then
     24252
     24253  # now go through the list of .pc files and assemble compiler and linker flags
     24254  # important is here to obey the reverse order that has been setup before,
     24255  # since then libraries that are required by several others should be after these other libraries
     24256  pcfilesprocessed=""
     24257
     24258  save_IFS="$IFS"
     24259  IFS=":"
     24260  for pcfile in $allpcfiles ; do
     24261
     24262    # if $pcfile has been processed already, skip this round
     24263    if test "x$pcfilesprocessed" != x ; then
     24264      for pcfiledone in $pcfilesprocessed ; do
     24265        if test "$pcfiledone" = "$pcfile" ; then
     24266          continue 2
     24267        fi
     24268      done
     24269    fi
     24270
     24271    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     24272    #   replace "Libs:" by "echo projlibs="
     24273    #   replace "Cflags:" by "echo projcflags="
     24274    #   remove every line starting with <some word>:
     24275    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     24276
     24277    # set projcflags and projlibs variables by running $pcfilemod
     24278    projcflags=
     24279    projlibs=
     24280    eval `sh -c "$pcfilemod"`
     24281
     24282    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     24283    if test "${CYGPATH_W}" != "echo"; then
     24284      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     24285    fi
     24286    MUMPS_CFLAGS="$projcflags $MUMPS_CFLAGS"
     24287
     24288    # set LIBS variable
     24289    MUMPS_LIBS="$projlibs $MUMPS_LIBS"
     24290
     24291    # remember that we have processed $pcfile
     24292    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     24293
     24294  done
     24295  IFS="$save_IFS"
     24296
     24297
     24298  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     24299  # important is here again to obey the reverse order that has been setup before,
     24300  # since then libraries that are required by several others should be after these other libraries
     24301  pcfilesprocessed=""
     24302
     24303  save_IFS="$IFS"
     24304  IFS=":"
     24305  for pcfile in $allpcifiles ; do
     24306
     24307    # if $pcfile has been processed already, skip this round
     24308    if test "x$pcfilesprocessed" != x ; then
     24309      for pcfiledone in $pcfilesprocessed ; do
     24310        if test "$pcfiledone" = "$pcfile" ; then
     24311          continue 2
     24312        fi
     24313      done
     24314    fi
     24315
     24316    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     24317    #   replace "Libs:" by "echo projlibs="
     24318    #   replace "Cflags:" by "echo projcflags="
     24319    #   remove every line starting with <some word>:
     24320    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     24321
     24322    # set projcflags and projlibs variables by running $pcfilemod
     24323    projcflags=
     24324    projlibs=
     24325    eval `sh -c "$pcfilemod"`
     24326
     24327    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     24328    if test "${CYGPATH_W}" != "echo"; then
     24329      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     24330    fi
     24331    MUMPS_CFLAGS_INSTALLED="$projcflags $MUMPS_CFLAGS_INSTALLED"
     24332
     24333    # set LIBS variable
     24334    MUMPS_LIBS_INSTALLED="$projlibs $MUMPS_LIBS_INSTALLED"
     24335
     24336    # remember that we have processed $pcfile
     24337    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     24338
     24339  done
     24340  IFS="$save_IFS"
     24341
     24342
     24343  # finish up
     24344  coin_has_mumps=yes
     24345  echo "$as_me:$LINENO: result: yes" >&5
     24346echo "${ECHO_T}yes" >&6
     24347
     24348cat >>confdefs.h <<\_ACEOF
     24349#define COIN_HAS_MUMPS 1
     24350_ACEOF
     24351
     24352
     24353  # adjust linker flags for (i)cl compiler
     24354  # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
     24355  # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
     24356  #    everything of the form "-Lpath" by "/libpath:`$(CYGPATH_W) path`, and
     24357  #    everything of the form "-lname" by "libname.lib"
     24358  if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     24359  then
     24360    MUMPS_LIBS=`echo " $MUMPS_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     24361    MUMPS_LIBS_INSTALLED=`echo " $MUMPS_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -L\([^ ]*\)/ \/libpath:\`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g'`
     24362  fi
     24363
     24364
     24365    CLPLIB_PCREQUIRES="coinmumps $CLPLIB_PCREQUIRES"
     24366    CLPLIB_CFLAGS="$MUMPS_CFLAGS $CLPLIB_CFLAGS"
     24367    CLPLIB_LIBS="$MUMPS_LIBS $CLPLIB_LIBS"
     24368    CLPLIB_CFLAGS_INSTALLED="$MUMPS_CFLAGS_INSTALLED $CLPLIB_CFLAGS_INSTALLED"
     24369    CLPLIB_LIBS_INSTALLED="$MUMPS_LIBS_INSTALLED $CLPLIB_LIBS_INSTALLED"
     24370
     24371
     24372fi
     24373
     24374
     24375
     24376if test $coin_has_mumps != notGiven &&
     24377                test $coin_has_mumps != skipping; then
     24378  COIN_HAS_MUMPS_TRUE=
     24379  COIN_HAS_MUMPS_FALSE='#'
     24380else
     24381  COIN_HAS_MUMPS_TRUE='#'
     24382  COIN_HAS_MUMPS_FALSE=
     24383fi
     24384
     24385
     24386
     24387  fi
     24388
     24389else
     24390  echo "$as_me:$LINENO: result: $coin_has_mumps" >&5
     24391echo "${ECHO_T}$coin_has_mumps" >&6
     24392fi
     24393
     24394if test $coin_has_mumps != skipping &&
     24395   test $coin_has_mumps != notGiven ; then
     24396
     24397cat >>confdefs.h <<\_ACEOF
     24398#define COIN_HAS_MUMPS 1
     24399_ACEOF
     24400
     24401
     24402  # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
     24403if test "${enable_interpackage_dependencies+set}" = set; then
     24404  enableval="$enable_interpackage_dependencies"
     24405
     24406else
     24407  enable_interpackage_dependencies=yes
     24408fi;
     24409
     24410  if test $enable_interpackage_dependencies = yes ; then
     24411     # construct dependencies variables from LIBS variables
     24412     # we add an extra space in LIBS so we can substitute out everything starting with " -"
     24413     # remove everything of the form -framework xxx as used on Mac and mklxxx as used on Windows
     24414     # then remove everything of the form -xxx
     24415     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
     24416     MUMPS_DEPENDENCIES=`echo " $MUMPS_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     24417
     24418       CLPLIB_DEPENDENCIES=`echo " $CLPLIB_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     24419
     24420  fi
     24421
     24422  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     24423    if test -n "$MUMPS_CFLAGS" ; then
     24424      { echo "$as_me:$LINENO: Mumps CFLAGS are $MUMPS_CFLAGS" >&5
     24425echo "$as_me: Mumps CFLAGS are $MUMPS_CFLAGS" >&6;}
     24426    fi
     24427    if test -n "$MUMPS_LIBS" ; then
     24428      { echo "$as_me:$LINENO: Mumps LIBS   are $MUMPS_LIBS" >&5
     24429echo "$as_me: Mumps LIBS   are $MUMPS_LIBS" >&6;}
     24430    fi
     24431    if test -n "$MUMPS_DEPENDENCIES" ; then
     24432      { echo "$as_me:$LINENO: Mumps DEPENDENCIES are $MUMPS_DEPENDENCIES" >&5
     24433echo "$as_me: Mumps DEPENDENCIES are $MUMPS_DEPENDENCIES" >&6;}
     24434    fi
     24435    if test -n "$MUMPS_DATA" ; then
     24436      { echo "$as_me:$LINENO: Mumps DATA   is  $MUMPS_DATA" >&5
     24437echo "$as_me: Mumps DATA   is  $MUMPS_DATA" >&6;}
     24438    fi
     24439    if test -n "$MUMPS_CFLAGS" ; then
     24440      { echo "$as_me:$LINENO: Mumps CFLAGS are $MUMPS_CFLAGS" >&5
     24441echo "$as_me: Mumps CFLAGS are $MUMPS_CFLAGS" >&6;}
     24442    fi
     24443
     24444      { echo "$as_me:$LINENO: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&5
     24445echo "$as_me: ClpLib CFLAGS are $CLPLIB_CFLAGS" >&6;}
     24446      { echo "$as_me:$LINENO: ClpLib LIBS   are $CLPLIB_LIBS" >&5
     24447echo "$as_me: ClpLib LIBS   are $CLPLIB_LIBS" >&6;}
     24448      { echo "$as_me:$LINENO: ClpLib DEPENDENCIES are $CLPLIB_DEPENDENCIES" >&5
     24449echo "$as_me: ClpLib DEPENDENCIES are $CLPLIB_DEPENDENCIES" >&6;}
     24450
     24451  fi
     24452fi
     24453
     24454# Define the Makefile conditional
     24455
     24456
     24457if test $coin_has_mumps != notGiven &&
     24458                test $coin_has_mumps != skipping; then
     24459  COIN_HAS_MUMPS_TRUE=
     24460  COIN_HAS_MUMPS_FALSE='#'
     24461else
     24462  COIN_HAS_MUMPS_TRUE='#'
     24463  COIN_HAS_MUMPS_FALSE=
     24464fi
     24465
     24466
     24467
    2398324468
    2398424469# WSMP
     
    2497825463Usually this means the macro was only invoked conditionally." >&5
    2497925464echo "$as_me: error: conditional \"COIN_HAS_GLPK\" was never defined.
     25465Usually this means the macro was only invoked conditionally." >&2;}
     25466   { (exit 1); exit 1; }; }
     25467fi
     25468if test -z "${COIN_HAS_MUMPS_TRUE}" && test -z "${COIN_HAS_MUMPS_FALSE}"; then
     25469  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_MUMPS\" was never defined.
     25470Usually this means the macro was only invoked conditionally." >&5
     25471echo "$as_me: error: conditional \"COIN_HAS_MUMPS\" was never defined.
     25472Usually this means the macro was only invoked conditionally." >&2;}
     25473   { (exit 1); exit 1; }; }
     25474fi
     25475if test -z "${COIN_HAS_MUMPS_TRUE}" && test -z "${COIN_HAS_MUMPS_FALSE}"; then
     25476  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_MUMPS\" was never defined.
     25477Usually this means the macro was only invoked conditionally." >&5
     25478echo "$as_me: error: conditional \"COIN_HAS_MUMPS\" was never defined.
    2498025479Usually this means the macro was only invoked conditionally." >&2;}
    2498125480   { (exit 1); exit 1; }; }
     
    2570726206s,@COIN_HAS_GLPK_TRUE@,$COIN_HAS_GLPK_TRUE,;t t
    2570826207s,@COIN_HAS_GLPK_FALSE@,$COIN_HAS_GLPK_FALSE,;t t
     26208s,@MUMPS_LIBS@,$MUMPS_LIBS,;t t
     26209s,@MUMPS_CFLAGS@,$MUMPS_CFLAGS,;t t
     26210s,@MUMPS_DATA@,$MUMPS_DATA,;t t
     26211s,@MUMPS_DEPENDENCIES@,$MUMPS_DEPENDENCIES,;t t
     26212s,@MUMPS_LIBS_INSTALLED@,$MUMPS_LIBS_INSTALLED,;t t
     26213s,@MUMPS_CFLAGS_INSTALLED@,$MUMPS_CFLAGS_INSTALLED,;t t
     26214s,@MUMPS_DATA_INSTALLED@,$MUMPS_DATA_INSTALLED,;t t
     26215s,@COIN_HAS_MUMPS_TRUE@,$COIN_HAS_MUMPS_TRUE,;t t
     26216s,@COIN_HAS_MUMPS_FALSE@,$COIN_HAS_MUMPS_FALSE,;t t
    2570926217s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    2571026218s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
  • trunk/Clp/configure.ac

    r1691 r1692  
    9393fi
    9494
     95# MUMPS
     96AC_COIN_CHECK_PACKAGE(Mumps, [coinmumps], [ClpLib])
     97
    9598# WSMP
    9699AC_ARG_WITH([wsmp],
  • trunk/Clp/inc/config_clp.h.in

    r1691 r1692  
    3333/* Define to 1 if the Glpk package is available */
    3434#undef COIN_HAS_GLPK
     35
     36/* Define to 1 if the Mumps package is available */
     37#undef COIN_HAS_MUMPS
    3538
    3639/* Define to 1 if the Netlib package is available */
  • trunk/Clp/src/CbcOrClpParam.cpp

    r1691 r1692  
    14471447     parameters[numberParameters-1].append("Taucs_dummy");
    14481448#endif
    1449 #ifdef MUMPS_BARRIER
     1449#ifdef COIN_HAS_MUMPS
    14501450     parameters[numberParameters-1].append("Mumps");
    14511451#else
  • trunk/Clp/src/ClpCholeskyMumps.cpp

    r1665 r1692  
    11/* $Id$ */
    2 #ifdef MUMPS_BARRIER
    32// Copyright (C) 2004, International Business Machines
    43// Corporation and others.  All Rights Reserved.
     
    76
    87#include "CoinPragma.hpp"
    9 #include "ClpCholeskyMumps.hpp"
    10 extern "C"
    11 {
    12      //#include "mpi.h"
    13 #include "/home/jjforre/cbc-trunk/ThirdParty/Mumps/MUMPS/libseq/mpi.h"
    14 }
     8
     9#include "ClpConfig.h"
     10
     11#define MPI_COMM_WORLD CLP_MPI_COMM_WORLD
    1512#define JOB_INIT -1
    1613#define JOB_END -2
    1714#define USE_COMM_WORLD -987654
     15extern "C" {
     16#include "dmumps_c.h"
     17#include "mpi.h"
     18}
     19
     20#include "ClpCholeskyMumps.hpp"
    1821#include "ClpMessage.hpp"
    1922#include "ClpInterior.hpp"
     
    3033     : ClpCholeskyBase(denseThreshold)
    3134{
     35     mumps_ = (DMUMPS_STRUC_C*)malloc(sizeof(DMUMPS_STRUC_C));
    3236     type_ = 16;
    33      mumps_.n = 0;
    34      mumps_.nz = 0;
    35      mumps_.a = NULL;
    36      mumps_.jcn = NULL;
    37      mumps_.irn = NULL;
    38      mumps_.job = JOB_INIT;//initialize mumps
    39      mumps_.par = 1;//working host for sequential version
    40      mumps_.sym = 2;//general symmetric matrix
    41      mumps_.comm_fortran = USE_COMM_WORLD;
     37     mumps_->n = 0;
     38     mumps_->nz = 0;
     39     mumps_->a = NULL;
     40     mumps_->jcn = NULL;
     41     mumps_->irn = NULL;
     42     mumps_->job = JOB_INIT;//initialize mumps
     43     mumps_->par = 1;//working host for sequential version
     44     mumps_->sym = 2;//general symmetric matrix
     45     mumps_->comm_fortran = USE_COMM_WORLD;
    4246     int myid, ierr;
    4347     int justName;
     
    4549     ierr = MPI_Comm_rank(MPI_COMM_WORLD, &myid);
    4650     assert (!ierr);
    47      dmumps_c(&mumps_);
     51     dmumps_c(mumps_);
    4852#define ICNTL(I) icntl[(I)-1] /* macro s.t. indices match documentation */
    4953#define CNTL(I) cntl[(I)-1] /* macro s.t. indices match documentation */
    50      mumps_.ICNTL(5) = 1; // say compressed format
    51      mumps_.ICNTL(4) = 2; // log messages
    52      mumps_.ICNTL(24) = 1; // Deal with zeros on diagonal
    53      mumps_.CNTL(3) = 1.0e-20; // drop if diagonal less than this
     54     mumps_->ICNTL(5) = 1; // say compressed format
     55     mumps_->ICNTL(4) = 2; // log messages
     56     mumps_->ICNTL(24) = 1; // Deal with zeros on diagonal
     57     mumps_->CNTL(3) = 1.0e-20; // drop if diagonal less than this
    5458     // output off
    55      mumps_.ICNTL(1) = -1;
    56      mumps_.ICNTL(2) = -1;
    57      mumps_.ICNTL(3) = -1;
    58      mumps_.ICNTL(4) = 0;
     59     mumps_->ICNTL(1) = -1;
     60     mumps_->ICNTL(2) = -1;
     61     mumps_->ICNTL(3) = -1;
     62     mumps_->ICNTL(4) = 0;
    5963}
    6064
     
    7478ClpCholeskyMumps::~ClpCholeskyMumps ()
    7579{
    76      mumps_.job = JOB_END;
    77      dmumps_c(&mumps_); /* Terminate instance */
     80     mumps_->job = JOB_END;
     81     dmumps_c(mumps_); /* Terminate instance */
    7882     MPI_Finalize();
     83     free(mumps_);
    7984}
    8085
     
    155160     delete [] which;
    156161     // NOT COMPRESSED FOR NOW ??? - Space for starts
    157      mumps_.ICNTL(5) = 0; // say NOT compressed format
     162     mumps_->ICNTL(5) = 0; // say NOT compressed format
    158163     try {
    159164          choleskyStart_ = new CoinBigIndex[numberRows_+1+sizeFactor_];
     
    231236          choleskyStart_[iRow]++;
    232237     }
    233      mumps_.nz = sizeFactor_;
    234      mumps_.irn = choleskyStart_ + numberRows_ + 1;
    235      mumps_.jcn = choleskyRow_;
    236      mumps_.a = NULL;
     238     mumps_->nz = sizeFactor_;
     239     mumps_->irn = choleskyStart_ + numberRows_ + 1;
     240     mumps_->jcn = choleskyRow_;
     241     mumps_->a = NULL;
    237242     for (CoinBigIndex i = 0; i < sizeFactor_; i++) {
    238243          choleskyRow_[i]++;
    239244#ifndef NDEBUG
    240           assert (mumps_.irn[i] >= 1 && mumps_.irn[i] <= numberRows_);
    241           assert (mumps_.jcn[i] >= 1 && mumps_.jcn[i] <= numberRows_);
     245          assert (mumps_->irn[i] >= 1 && mumps_->irn[i] <= numberRows_);
     246          assert (mumps_->jcn[i] >= 1 && mumps_->jcn[i] <= numberRows_);
    242247#endif
    243248     }
    244249     // validate
    245250     //mumps code here
    246      mumps_.n = numberRows_;
    247      mumps_.nelt = numberRows_;
    248      mumps_.eltptr = choleskyStart_;
    249      mumps_.eltvar = choleskyRow_;
    250      mumps_.a_elt = NULL;
    251      mumps_.rhs = NULL;
    252      mumps_.job = 1; // order
    253      dmumps_c(&mumps_);
    254      mumps_.a = sparseFactor_;
    255      if (mumps_.infog[0]) {
     251     mumps_->n = numberRows_;
     252     mumps_->nelt = numberRows_;
     253     mumps_->eltptr = choleskyStart_;
     254     mumps_->eltvar = choleskyRow_;
     255     mumps_->a_elt = NULL;
     256     mumps_->rhs = NULL;
     257     mumps_->job = 1; // order
     258     dmumps_c(mumps_);
     259     mumps_->a = sparseFactor_;
     260     if (mumps_->infog[0]) {
    256261          printf("MUMPS ordering failed -error %d %d\n",
    257                  mumps_.infog[0], mumps_.infog[1]);
     262                 mumps_->infog[0], mumps_->infog[1]);
    258263          return 1;
    259264     } else {
    260           double size = mumps_.infog[19];
     265          double size = mumps_->infog[19];
    261266          if (size < 0)
    262267               size *= -1000000;
    263           printf("%g nonzeros, flop count %g\n", size, mumps_.rinfog[0]);
     268          printf("%g nonzeros, flop count %g\n", size, mumps_->rinfog[0]);
    264269     }
    265270     for (iRow = 0; iRow < numberRows_; iRow++) {
     
    375380     delete [] work;
    376381     // code here
    377      mumps_.a_elt = sparseFactor_;
    378      mumps_.rhs = NULL;
    379      mumps_.job = 2; // factorize
    380      dmumps_c(&mumps_);
    381      if (mumps_.infog[0]) {
     382     mumps_->a_elt = sparseFactor_;
     383     mumps_->rhs = NULL;
     384     mumps_->job = 2; // factorize
     385     dmumps_c(mumps_);
     386     if (mumps_->infog[0]) {
    382387          printf("MUMPS factorization failed -error %d %d\n",
    383                  mumps_.infog[0], mumps_.infog[1]);
     388                 mumps_->infog[0], mumps_->infog[1]);
    384389     }
    385390     choleskyCondition_ = 1.0;
     
    400405               newDropped = 0;
    401406               for (int i = 0; i < numberRows_; i++) {
    402                     char dropped = rowsDropped[i];
    403                     rowsDropped_[i] = dropped;
     407                    int dropped = rowsDropped[i];
     408                    rowsDropped_[i] = (char)dropped;
    404409                    if (dropped == 2) {
    405410                         //dropped this time
     
    415420               newDropped = 0;
    416421               for (int i = 0; i < numberRows_; i++) {
    417                     char dropped = rowsDropped[i];
    418                     rowsDropped_[i] = dropped;
     422                    int dropped = rowsDropped[i];
     423                    rowsDropped_[i] = (char)dropped;
    419424                    if (dropped == 2) {
    420425                         //dropped this time
     
    441446ClpCholeskyMumps::solve (double * region)
    442447{
    443      mumps_.rhs = region;
    444      mumps_.job = 3; // solve
    445      dmumps_c(&mumps_);
    446 }
    447 #endif
     448     mumps_->rhs = region;
     449     mumps_->job = 3; // solve
     450     dmumps_c(mumps_);
     451}
  • trunk/Clp/src/ClpCholeskyMumps.hpp

    r1665 r1692  
    77#define ClpCholeskyMumps_H
    88#include "ClpCholeskyBase.hpp"
    9 #ifdef __cplusplus
    10 extern "C" {
    11 #endif
    12 #include "amd.h"
    13 #include "dmumps_c.h"
    14      //#include "mpi.h"
    15      //#include "/home/jjforre/cbc-trunk/ThirdParty/Mumps/MUMPS/libseq/mpi.h"
    16 #ifdef __cplusplus
    17 }
    18 #endif
    199class ClpMatrixBase;
    2010class ClpCholeskyDense;
     11
     12// unfortunately, DMUMPS_STRUC_C is an anonymous struct in MUMPS, so we define it to void for everyone outside ClpCholeskyMumps
     13// if this file is included by ClpCholeskyMumps.cpp, then after dmumps_c.h has been included, which defines MUMPS_VERSION
     14#ifndef MUMPS_VERSION
     15typedef void DMUMPS_STRUC_C;
     16#endif
    2117
    2218/** Mumps class for Clp Cholesky factorization
     
    5147     /** Destructor  */
    5248     virtual ~ClpCholeskyMumps();
    53      // Copy
    54      ClpCholeskyMumps(const ClpCholeskyMumps&);
    55      // Assignment
    56      ClpCholeskyMumps& operator=(const ClpCholeskyMumps&);
    5749     /// Clone
    5850     virtual ClpCholeskyBase * clone() const ;
    5951     //@}
    6052
    61 
    6253private:
    6354     // Mumps structure
    64      DMUMPS_STRUC_C mumps_;
     55     DMUMPS_STRUC_C* mumps_;
     56     
     57          // Copy
     58     ClpCholeskyMumps(const ClpCholeskyMumps&);
     59     // Assignment
     60     ClpCholeskyMumps& operator=(const ClpCholeskyMumps&);
    6561};
    6662
  • trunk/Clp/src/ClpMain.cpp

    r1691 r1692  
    5656#include "dmalloc.h"
    5757#endif
    58 #if defined(WSSMP_BARRIER) || defined(COIN_HAS_AMD) || defined(COIN_HAS_CHOLMOD) || defined(TAUCS_BARRIER) || defined(MUMPS_BARRIER)
     58#if defined(WSSMP_BARRIER) || defined(COIN_HAS_AMD) || defined(COIN_HAS_CHOLMOD) || defined(TAUCS_BARRIER) || defined(COIN_HAS_MUMPS)
    5959#define FOREIGN_BARRIER
    6060#endif
  • trunk/Clp/src/ClpSimplex.cpp

    r1691 r1692  
    58085808#include "ClpCholeskyWssmpKKT.hpp"
    58095809#endif
    5810 
    58115810#include "ClpCholeskyUfl.hpp"
    5812 
    5813 #if MUMPS_BARRIER
    58145811#include "ClpCholeskyMumps.hpp"
    5815 #endif
    58165812#if TAUCS_BARRIER
    58175813#include "ClpCholeskyTaucs.hpp"
     
    58575853     ClpCholeskyTaucs * cholesky = new ClpCholeskyTaucs();
    58585854     barrier.setCholesky(cholesky);
    5859 #elif MUMPS_BARRIER
     5855#elifdef COIN_HAS_MUMPS
    58605856     if (!doKKT) {
    58615857          ClpCholeskyMumps * cholesky = new ClpCholeskyMumps();
  • trunk/Clp/src/ClpSolve.cpp

    r1691 r1692  
    66// This file has higher level solve functions
    77
     8#include "CoinPragma.hpp"
    89#include "ClpConfig.h"
    9 #include "CoinPragma.hpp"
     10
     11// check already here if COIN_HAS_GLPK is defined, since we do not want to get confused by a COIN_HAS_GLPK in config_coinutils.h
     12#if defined(COIN_HAS_AMD) || defined(COIN_HAS_CHOLMOD) || defined(COIN_HAS_GLPK)
     13#define UFL_BARRIER
     14#endif
    1015
    1116#include <math.h>
     
    4449#include "ClpCholeskyTaucs.hpp"
    4550#endif
    46 #ifdef MUMPS_BARRIER
    4751#include "ClpCholeskyMumps.hpp"
    48 #endif
    4952#ifdef COIN_HAS_VOL
    5053#include "VolVolume.hpp"
     
    19741977               break;
    19751978#endif
     1979#if UFL_BARRIER
    19761980          case 4:
    19771981               if (!doKKT) {
     
    19841988               }
    19851989               break;
     1990#endif
    19861991#ifdef TAUCS_BARRIER
    19871992          case 5: {
     
    19921997          break;
    19931998#endif
    1994 #ifdef MUMPS_BARRIER
     1999#ifdef COIN_HAS_MUMPS
    19952000          case 6: {
    19962001               ClpCholeskyMumps * cholesky = new ClpCholeskyMumps();
  • trunk/Clp/src/Makefile.am

    r1691 r1692  
    2626        ClpCholeskyBase.cpp ClpCholeskyBase.hpp \
    2727        ClpCholeskyDense.cpp ClpCholeskyDense.hpp \
    28         ClpCholeskyMumps.cpp ClpCholeskyMumps.hpp \
    2928        ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp \
    3029        ClpCholeskyWssmpKKT.cpp ClpCholeskyWssmpKKT.hpp \
     
    8887endif
    8988
     89if COIN_HAS_MUMPS
     90libClp_la_SOURCES += ClpCholeskyMumps.cpp ClpCholeskyMumps.hpp
     91endif
     92
    9093# This is for libtool
    9194libClp_la_LDFLAGS = $(LT_LDFLAGS)
  • trunk/Clp/src/Makefile.in

    r1691 r1692  
    5050@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@am__append_2 = ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
    5151@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_FALSE@@COIN_HAS_GLPK_TRUE@am__append_3 = ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
     52@COIN_HAS_MUMPS_TRUE@am__append_4 = ClpCholeskyMumps.cpp ClpCholeskyMumps.hpp
    5253bin_PROGRAMS = clp$(EXEEXT)
    53 @COIN_HAS_CHOLMOD_TRUE@am__append_4 = -I`$(CYGPATH_W) $(CHOLMODINCDIR)`
    54 @COIN_HAS_AMD_TRUE@am__append_5 = -I`$(CYGPATH_W) $(AMDINCDIR)`
     54@COIN_HAS_CHOLMOD_TRUE@am__append_5 = -I`$(CYGPATH_W) $(CHOLMODINCDIR)`
     55@COIN_HAS_AMD_TRUE@am__append_6 = -I`$(CYGPATH_W) $(AMDINCDIR)`
    5556subdir = src
    5657DIST_COMMON = $(includecoin_HEADERS) $(srcdir)/Makefile.am \
     
    7778am__libClp_la_SOURCES_DIST = ClpConfig.h ClpCholeskyBase.cpp \
    7879        ClpCholeskyBase.hpp ClpCholeskyDense.cpp ClpCholeskyDense.hpp \
    79         ClpCholeskyMumps.cpp ClpCholeskyMumps.hpp ClpCholeskyWssmp.cpp \
    80         ClpCholeskyWssmp.hpp ClpCholeskyWssmpKKT.cpp \
    81         ClpCholeskyWssmpKKT.hpp ClpConstraint.cpp ClpConstraint.hpp \
    82         ClpConstraintLinear.cpp ClpConstraintLinear.hpp \
    83         ClpConstraintQuadratic.cpp ClpConstraintQuadratic.hpp \
    84         Clp_C_Interface.cpp Clp_C_Interface.h ClpDualRowDantzig.cpp \
    85         ClpDualRowDantzig.hpp ClpDualRowPivot.cpp ClpDualRowPivot.hpp \
    86         ClpDualRowSteepest.cpp ClpDualRowSteepest.hpp \
    87         ClpDummyMatrix.cpp ClpDummyMatrix.hpp \
     80        ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp \
     81        ClpCholeskyWssmpKKT.cpp ClpCholeskyWssmpKKT.hpp \
     82        ClpConstraint.cpp ClpConstraint.hpp ClpConstraintLinear.cpp \
     83        ClpConstraintLinear.hpp ClpConstraintQuadratic.cpp \
     84        ClpConstraintQuadratic.hpp Clp_C_Interface.cpp \
     85        Clp_C_Interface.h ClpDualRowDantzig.cpp ClpDualRowDantzig.hpp \
     86        ClpDualRowPivot.cpp ClpDualRowPivot.hpp ClpDualRowSteepest.cpp \
     87        ClpDualRowSteepest.hpp ClpDummyMatrix.cpp ClpDummyMatrix.hpp \
    8888        ClpDynamicExampleMatrix.cpp ClpDynamicExampleMatrix.hpp \
    8989        ClpDynamicMatrix.cpp ClpDynamicMatrix.hpp ClpEventHandler.cpp \
     
    112112        ClpSimplexOther.hpp ClpSimplexPrimal.cpp ClpSimplexPrimal.hpp \
    113113        ClpSolve.cpp ClpSolve.hpp Idiot.cpp Idiot.hpp IdiSolve.cpp \
    114         ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp
     114        ClpCholeskyUfl.cpp ClpCholeskyUfl.hpp ClpCholeskyMumps.cpp \
     115        ClpCholeskyMumps.hpp
    115116@COIN_HAS_AMD_TRUE@am__objects_1 = ClpCholeskyUfl.lo
    116117@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@am__objects_2 =  \
    117118@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_TRUE@     ClpCholeskyUfl.lo
    118119@COIN_HAS_AMD_FALSE@@COIN_HAS_CHOLMOD_FALSE@@COIN_HAS_GLPK_TRUE@am__objects_3 = ClpCholeskyUfl.lo
     120@COIN_HAS_MUMPS_TRUE@am__objects_4 = ClpCholeskyMumps.lo
    119121am_libClp_la_OBJECTS = ClpCholeskyBase.lo ClpCholeskyDense.lo \
    120         ClpCholeskyMumps.lo ClpCholeskyWssmp.lo ClpCholeskyWssmpKKT.lo \
    121         ClpConstraint.lo ClpConstraintLinear.lo \
    122         ClpConstraintQuadratic.lo Clp_C_Interface.lo \
    123         ClpDualRowDantzig.lo ClpDualRowPivot.lo ClpDualRowSteepest.lo \
    124         ClpDummyMatrix.lo ClpDynamicExampleMatrix.lo \
    125         ClpDynamicMatrix.lo ClpEventHandler.lo ClpFactorization.lo \
    126         ClpGubDynamicMatrix.lo ClpGubMatrix.lo ClpHelperFunctions.lo \
    127         ClpInterior.lo ClpLinearObjective.lo ClpMatrixBase.lo \
    128         ClpMessage.lo ClpModel.lo ClpNetworkBasis.lo \
    129         ClpNetworkMatrix.lo ClpNonLinearCost.lo ClpNode.lo \
    130         ClpObjective.lo ClpPackedMatrix.lo ClpPlusMinusOneMatrix.lo \
     122        ClpCholeskyWssmp.lo ClpCholeskyWssmpKKT.lo ClpConstraint.lo \
     123        ClpConstraintLinear.lo ClpConstraintQuadratic.lo \
     124        Clp_C_Interface.lo ClpDualRowDantzig.lo ClpDualRowPivot.lo \
     125        ClpDualRowSteepest.lo ClpDummyMatrix.lo \
     126        ClpDynamicExampleMatrix.lo ClpDynamicMatrix.lo \
     127        ClpEventHandler.lo ClpFactorization.lo ClpGubDynamicMatrix.lo \
     128        ClpGubMatrix.lo ClpHelperFunctions.lo ClpInterior.lo \
     129        ClpLinearObjective.lo ClpMatrixBase.lo ClpMessage.lo \
     130        ClpModel.lo ClpNetworkBasis.lo ClpNetworkMatrix.lo \
     131        ClpNonLinearCost.lo ClpNode.lo ClpObjective.lo \
     132        ClpPackedMatrix.lo ClpPlusMinusOneMatrix.lo \
    131133        ClpPredictorCorrector.lo ClpPdco.lo ClpPdcoBase.lo ClpLsqr.lo \
    132134        ClpPresolve.lo ClpPrimalColumnDantzig.lo \
     
    135137        ClpSimplexNonlinear.lo ClpSimplexOther.lo ClpSimplexPrimal.lo \
    136138        ClpSolve.lo Idiot.lo IdiSolve.lo $(am__objects_1) \
    137         $(am__objects_2) $(am__objects_3)
     139        $(am__objects_2) $(am__objects_3) $(am__objects_4)
    138140libClp_la_OBJECTS = $(am_libClp_la_OBJECTS)
    139141binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
     
    227229COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    228230COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     231COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
     232COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
    229233COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    230234COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     
    287291MPICC = @MPICC@
    288292MPICXX = @MPICXX@
     293MUMPS_CFLAGS = @MUMPS_CFLAGS@
     294MUMPS_CFLAGS_INSTALLED = @MUMPS_CFLAGS_INSTALLED@
     295MUMPS_DATA = @MUMPS_DATA@
     296MUMPS_DATA_INSTALLED = @MUMPS_DATA_INSTALLED@
     297MUMPS_DEPENDENCIES = @MUMPS_DEPENDENCIES@
     298MUMPS_LIBS = @MUMPS_LIBS@
     299MUMPS_LIBS_INSTALLED = @MUMPS_LIBS_INSTALLED@
    289300NETLIB_CFLAGS = @NETLIB_CFLAGS@
    290301NETLIB_CFLAGS_INSTALLED = @NETLIB_CFLAGS_INSTALLED@
     
    415426libClp_la_SOURCES = ClpConfig.h ClpCholeskyBase.cpp \
    416427        ClpCholeskyBase.hpp ClpCholeskyDense.cpp ClpCholeskyDense.hpp \
    417         ClpCholeskyMumps.cpp ClpCholeskyMumps.hpp ClpCholeskyWssmp.cpp \
    418         ClpCholeskyWssmp.hpp ClpCholeskyWssmpKKT.cpp \
    419         ClpCholeskyWssmpKKT.hpp ClpConstraint.cpp ClpConstraint.hpp \
    420         ClpConstraintLinear.cpp ClpConstraintLinear.hpp \
    421         ClpConstraintQuadratic.cpp ClpConstraintQuadratic.hpp \
    422         Clp_C_Interface.cpp Clp_C_Interface.h ClpDualRowDantzig.cpp \
    423         ClpDualRowDantzig.hpp ClpDualRowPivot.cpp ClpDualRowPivot.hpp \
    424         ClpDualRowSteepest.cpp ClpDualRowSteepest.hpp \
    425         ClpDummyMatrix.cpp ClpDummyMatrix.hpp \
     428        ClpCholeskyWssmp.cpp ClpCholeskyWssmp.hpp \
     429        ClpCholeskyWssmpKKT.cpp ClpCholeskyWssmpKKT.hpp \
     430        ClpConstraint.cpp ClpConstraint.hpp ClpConstraintLinear.cpp \
     431        ClpConstraintLinear.hpp ClpConstraintQuadratic.cpp \
     432        ClpConstraintQuadratic.hpp Clp_C_Interface.cpp \
     433        Clp_C_Interface.h ClpDualRowDantzig.cpp ClpDualRowDantzig.hpp \
     434        ClpDualRowPivot.cpp ClpDualRowPivot.hpp ClpDualRowSteepest.cpp \
     435        ClpDualRowSteepest.hpp ClpDummyMatrix.cpp ClpDummyMatrix.hpp \
    426436        ClpDynamicExampleMatrix.cpp ClpDynamicExampleMatrix.hpp \
    427437        ClpDynamicMatrix.cpp ClpDynamicMatrix.hpp ClpEventHandler.cpp \
     
    450460        ClpSimplexOther.hpp ClpSimplexPrimal.cpp ClpSimplexPrimal.hpp \
    451461        ClpSolve.cpp ClpSolve.hpp Idiot.cpp Idiot.hpp IdiSolve.cpp \
    452         $(am__append_1) $(am__append_2) $(am__append_3)
     462        $(am__append_1) $(am__append_2) $(am__append_3) \
     463        $(am__append_4)
    453464
    454465# This is for libtool
     
    480491
    481492# CbcOrClpParam seem to require COIN_HAS_CLP so that it knows that it is build within Clp
    482 AM_CPPFLAGS = $(CLPLIB_CFLAGS) -DCOIN_HAS_CLP $(am__append_4) \
    483         $(am__append_5)
     493AM_CPPFLAGS = $(CLPLIB_CFLAGS) -DCOIN_HAS_CLP $(am__append_5) \
     494        $(am__append_6)
    484495
    485496# This line is necessary to allow VPATH compilation with MS compilers
  • trunk/Clp/src/OsiClp/Makefile.in

    r1691 r1692  
    143143COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    144144COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     145COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
     146COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
    145147COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    146148COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     
    203205MPICC = @MPICC@
    204206MPICXX = @MPICXX@
     207MUMPS_CFLAGS = @MUMPS_CFLAGS@
     208MUMPS_CFLAGS_INSTALLED = @MUMPS_CFLAGS_INSTALLED@
     209MUMPS_DATA = @MUMPS_DATA@
     210MUMPS_DATA_INSTALLED = @MUMPS_DATA_INSTALLED@
     211MUMPS_DEPENDENCIES = @MUMPS_DEPENDENCIES@
     212MUMPS_LIBS = @MUMPS_LIBS@
     213MUMPS_LIBS_INSTALLED = @MUMPS_LIBS_INSTALLED@
    205214NETLIB_CFLAGS = @NETLIB_CFLAGS@
    206215NETLIB_CFLAGS_INSTALLED = @NETLIB_CFLAGS_INSTALLED@
  • trunk/Clp/src/unitTest.cpp

    r1691 r1692  
    5656static int barrierAvailable = 2;
    5757static std::string nameBarrier = "barrier-WSSMP";
    58 #elif MUMPS_BARRIER
     58#elifdef COIN_HAS_MUMPS
    5959static int barrierAvailable = 3;
    6060static std::string nameBarrier = "barrier-MUMPS";
     
    11221122                         nameAlgorithm = "barrier-WSSMP";
    11231123#endif
    1124 #ifdef MUMPS_BARRIER
     1124#ifdef COIN_HAS_MUMPS
    11251125                         solveOptions.setSpecialOption(4, 6);
    11261126                         nameAlgorithm = "barrier-MUMPS";
  • trunk/Clp/test/Makefile.in

    r1691 r1692  
    133133COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    134134COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
     135COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
     136COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
    135137COIN_HAS_NETLIB_FALSE = @COIN_HAS_NETLIB_FALSE@
    136138COIN_HAS_NETLIB_TRUE = @COIN_HAS_NETLIB_TRUE@
     
    193195MPICC = @MPICC@
    194196MPICXX = @MPICXX@
     197MUMPS_CFLAGS = @MUMPS_CFLAGS@
     198MUMPS_CFLAGS_INSTALLED = @MUMPS_CFLAGS_INSTALLED@
     199MUMPS_DATA = @MUMPS_DATA@
     200MUMPS_DATA_INSTALLED = @MUMPS_DATA_INSTALLED@
     201MUMPS_DEPENDENCIES = @MUMPS_DEPENDENCIES@
     202MUMPS_LIBS = @MUMPS_LIBS@
     203MUMPS_LIBS_INSTALLED = @MUMPS_LIBS_INSTALLED@
    195204NETLIB_CFLAGS = @NETLIB_CFLAGS@
    196205NETLIB_CFLAGS_INSTALLED = @NETLIB_CFLAGS_INSTALLED@
Note: See TracChangeset for help on using the changeset viewer.